package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gfhd
 * @since 2024-10-21
 */
@TableName("history_predict")
public class HistoryPredict implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String modelId;

    private String predictType;

    private String deviceType;

    private Date dataTime;

    private Date predictTime;

    private String siteId;

    private String periodId;

    private String lineId;

    private String turbineId;

    private Double predictPower;

    private Double predictEnergy;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getPredictType() {
        return predictType;
    }

    public void setPredictType(String predictType) {
        this.predictType = predictType;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getPredictTime() {
        return predictTime;
    }

    public void setPredictTime(Date predictTime) {
        this.predictTime = predictTime;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }

    public String getLineId() {
        return lineId;
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }

    public String getTurbineId() {
        return turbineId;
    }

    public void setTurbineId(String turbineId) {
        this.turbineId = turbineId;
    }

    public Double getPredictPower() {
        return predictPower;
    }

    public void setPredictPower(Double predictPower) {
        this.predictPower = predictPower;
    }

    public Double getPredictEnergy() {
        return predictEnergy;
    }

    public void setPredictEnergy(Double predictEnergy) {
        this.predictEnergy = predictEnergy;
    }

    @Override
    public String toString() {
        return "HistoryPredict{" +
            "id = " + id +
            ", modelId = " + modelId +
            ", predictType = " + predictType +
            ", deviceType = " + deviceType +
            ", dataTime = " + dataTime +
            ", predictTime = " + predictTime +
            ", siteId = " + siteId +
            ", periodId = " + periodId +
            ", lineId = " + lineId +
            ", turbineId = " + turbineId +
            ", predictPower = " + predictPower +
            ", predictEnergy = " + predictEnergy +
        "}";
    }
}
